/*
 * analog.c
 *
 * Created 7/21/94 by Chuck McManis
 *
 * Implementation of the analog function.
 */

#include <hc11.h>

int
analog(ch)
	int	ch;	/* Channel to sample */
{
	unsigned char a;

	asm(" sei");	/* disable interrupts for a moment */
	a = (unsigned char) ch;
	ADCTL = a;
	while ((ADCTL & 0x80) == 0)
		;	/* Wait for the conversion to complete */
	asm(" cli");	/* re-enable interrupts */
	a = ADR1;
	return ((int) a);
}
