/*
 * serial.c
 *
 * Created 7/21/94 by Chuck McManis
 *
 * Serial I/O functions for the miniboard.
 */

#include <hc11.h>

/*
 * unsigned char = getchar()
 *
 * Read an 8 bit unsigned character from the SCI port.
 */
unsigned char
getchar()
{
	while ((SCSR & 0x20) == 0) ;
	return(SCDR);
}

void
putchar(c)
	unsigned char c;
{
	while ((SCSR & 0x80) == 0) ;
	SCDR = c;
	return;
}

