#ifndef __INT32_H
#define __INT32_H	1

typedef struct 
	{
	unsigned int hi_word;
	unsigned int lo_word;
	} INT32;

#define HI_WORD(i32)	((i32).hi_word)
#define LO_WORD(i32)	((i32).lo_word)
#define int32_to_int(i32)	LO_WORD(i32)

void uint32_inc(INT32 *psrc);
void uint32_dec(INT32 *psrc);
INT32 int32_add(INT32 left, INT32 right);
INT32 int32_add_int(INT32 left, int right);
INT32 int32_add_uint(INT32 left, unsigned int right);
INT32 int32_sub(INT32 left, INT32 right);
INT32 int32_sub_int(INT32 left, int right);
INT32 int32_sub_uint(INT32 left, unsigned int right);
INT32 int_to_int32(int i);
INT32 uint_to_int32(unsigned int i);

#endif
