#include <ctype.h>
#include <stdlib.h>
#include <errno.h>

int atoi(const char *s)
	{
	int uminus;
	int v;
	
	while (isspace(*s))
		s++;
	uminus = 0;
	if (*s == '-')
		{
		uminus = 1;
		s++;
		}
	else if (*s == '+')
		s++;
	for (v = 0; isdigit(*s); )
		v = v * 10 + *s++ - '0';
	if (uminus)
		return -v;
	return v;
	}

long atol(const char *s)
	{
	return atoi(s);
	}
