#include <stdio.h>
#include <stdarg.h>

static void _putc(char **ps, int c)
	{
	putchar(c);
	}
	
int printf(char *fmt, ...)
	{
	va_list va;
	int val;

	va_start(va, fmt);
	val = _print(0, _putc, fmt, va);
	va_end(va);

	return val;
	}

int fprintf(FILE *fp, char *fmt, ...)
	{
	va_list va;
	int val;

	va_start(va, fmt);
	val = _print(0, _putc, fmt, va);
	va_end(va);

	return val;
	}

