/*
 * msleep.c
 * 
 * Created 7/21/94 Chuck McManis
 * 
 * This module implements the msleep call.
 */

#include <int32.h>
#include <hc11.h>

extern INT32 time;

void
msleep(t)
	int	t; 	/* number of milleseconds to sleep */
{
	unsigned int	i;

	asm(" sei");
	i = LO_WORD(time) + t;
	asm(" cli");
	while (i > LO_WORD(time)) ;
	return;
}
