tmsk1 		= 0x22	; main Timer interrupt Mask register 1
tflg1 		= 0x23	; main Timer interrupt Flag register 1
option 		= 0x39  ; system configuration options
portdwom 	= 0x20
baud1200 	= 0xb3
baud9600 	= 0xb0
baud 		= 0x2b   ; SCI baud rate control register
sccr1 		= 0x2c   ; SCI control register 1
sccr2 		= 0x2d   ; SCI control register 2

__HC11Setup::
; initialize X register
	ldx #0x1000
;
; initialize serial port
;
	ldaa	#baud9600	; 9600 baud
	staa	baud,x
	bset	sccr2,x,#0xc	; transmit, receive enable
;
; turn on analog subsystem
;
	bset	option,x,#0x80
	jsr	_mb_init	; jump to miniboard initialization function
	cli
	rts
