/*
 * test.c
 *
 * This trys to put all of the code into a single program and get a feel
 * for how much room the Miniboard library takes up. Compile this with 
 *	C> icc11 -Wl-m test.c libmb.a
 * And look at the map file. That will show you how much the whole library
 * uses.
 *
 * At last check this file took up just over 1500 bytes. (500 to spare,
 * not too shabby)
 *
 * NOTE: I don't think it does anything useful so _DON'T_ download it
 * and try it!
 */
#define WANT_BUTTON
#define WANT_SERVOS
#define WANT_MOTORS
#define WANT_BEEPER
#include <mboard.h>
#include <mbintsvc.h>

void
main()
{
	int	i, adc, spd;
	tone(1000, 500);
	while (1) {
		adc = button() ? 2 : 4;
		if (analog(adc) > 127)
			spd = (analog(adc) & 0x7f) >> 3;
		else
			spd = - ((analog(adc) & 0x7f) >> 3);
		if (digital(1))
			motor(2, spd);
		if (digital(2))
			motor(3, spd);
		puts("spd:");
		printdec(spd);
		servo(1, 80);
	}
}
