/*
 * Servo test
 */
#define WANT_SERVOS
#include <mboard.h>
#include <mbintsvc.h>

main()
{
	unsigned char	c;
	int	pos;

	pos = 0;
	servo(1, pos);
	servo(2, pos);	/* 50 % point */
	while(1) {
		c = getchar();
		switch (c) {
		case '-':
			pos = pos - 1;
			break;
		case '_' : 
			pos = pos - 10;
			break;
		case '=' : 
			pos = pos + 1;
			break;
		case '+' :
			pos = pos + 10;
			break;
		case 'Q' :
			servo_off(2);
		default:
			putchar(0x7);
			break;
		}
		puts("Position is now : ");
		printdec(pos);
		if (pos > 100) pos = 100;
		if (pos < -100) pos = -100;
		servo(1, pos);
		servo(2, 0 - pos);
	}
}
