/************************************************************************
 * 			MEKATRONIX Copyright 1998 		        *
 * Title        motjdr.h                                                *
 * Programmer   Keith L. Doty                                           *
 * Date         March 10, 1998                                          *
 * Version      1                                                       *
 *                                                                      *
 * Description								*
 *	This header file refers to all routines and interrupt drivers   *
 *      necessary for motor control. Object file is in libtj.a.         *
 ************************************************************************/

#ifndef _MOTOR_H
#define _MOTOR_H

/**************************** Includes **********************************/

#include <hc11.h>
#include <mil.h>

/**************************** End of Includes ***************************/


/**************************** Constants *********************************/

#define LEFT_MOTOR      0
#define RIGHT_MOTOR     1

/************************ End of Constants ******************************/

/*************************** Prototypes *********************************/

void init_motortj(void);               /* Initialize motor parameters */
void motortj(int index, int newwidth); /* Control motor speed */

#endif
