#include <stdlib.h>
#include <hc11.h>
#include "mtask.h"
#include "_task.h"

int kill_process(int pid)
	{
	TASK **qb, *p;

	if (!pid)
		return 1;
	INTR_OFF();
	qb = _mtask_procs; 
	do
		{
		if ((*qb)->pid == pid)
			{
			if ((*qb)->func == _mtask_null_task)
				return 1;
			if (*qb == *_mtask_procs)
				_mtask_procs = &(*_mtask_procs)->next;
			p = *qb;
			*qb = (*qb)->next;
			free(p);
			return 0;
			}
		qb = &(*qb)->next;
		} while (qb != _mtask_procs);
	INTR_ON();

	return 1;
	}
