/* test libmtask.a. Compile with -lmtask. */
#include <hc11.h>
#include <serial.h>
#include "mtask.h"

int j;
void foo(int i)
	{
	printf("I am alive foo\n");
	while (1)
		{
		printf("foo <%d>\n", j);
		for (i = 0; i < 10000; i++)
			;
		}
	}

int foo_id;

void bar(int i)
	{
	printf("I am alive bar\n");
	while (1)
		{
		
		i++;
		printf("bar %d\n", i);
		for (j = 0; j < 10000; j++)
			;
		defer();
		if (i == 100)
			{
			printf("killing foo %d\n", foo_id);
			kill_process(foo_id);
			}
		}
	}

main()
	{
	setbaud(BAUD9600);
	printf("creat0 \n");
	foo_id = create_process(foo, 12, 40, 1000);
	printf("creat1 %d\n", foo_id);
	create_process(bar, 23, 27, 1000);
	printf("creat2\n");
#if 0
	*(unsigned char *)0x7e12 = 0x7E;	/* jmp, for BUFFALO */
	*(void (**)())0x7e13 = system_interrupt;
#endif
	start_scheduler();
	}

extern void _start();	/* entry point in crt11.s */

/* copy of vectors.c for ROM based test system */
#pragma abs_address:0xffd6
/* change the above address if your vector starts elsewhere
 */
void (*interrupt_vectors[])() = 
	{
	/* to cast a constant, say 0xb600, use
	   (void (*)())0xb600
	 */
	/* all interrupts reset the processor, which is probably not what 
	 * you want */
	(void (*)())0xffff,	/* SCI */
	(void (*)())0xffff,	/* SPI */
	(void (*)())0xffff,	/* PAIE */
	(void (*)())0xffff,	/* PAO */
	(void (*)())0xffff,	/* TOF */
	(void (*)())0xffff,	/* TOC5 */
	system_interrupt,	/* TOC4 */
	(void (*)())0xffff,	/* TOC3 */
	(void (*)())0xffff,	/* TOC2 */
	(void (*)())0xffff,	/* TOC1 */
	(void (*)())0xffff,	/* TIC3 */
	(void (*)())0xffff,	/* TIC2 */
	(void (*)())0xffff,	/* TIC1 */
	(void (*)())0xffff,	/* RTI */
	(void (*)())0xffff,	/* IRQ */
	(void (*)())0xffff,	/* XIRQ */
	(void (*)())0xffff,	/* SWI */
	(void (*)())0xffff,	/* ILLOP */
	(void (*)())0xffff,	/* COP */
	(void (*)())0xffff,	/* CLM */
	_start	/* RESET */
	};
#pragma end_abs_address
