typedef struct task TASK;

struct task
	{
	TASK	*next;
	unsigned char 	pid;
	unsigned char state;
	unsigned ticks;
	unsigned current_ticks;
	void	(*func)();
	int		arg;
	char	*sp;
	char	stack[1];
	};
#define T_CREATED	17
#define T_RUNNING	18

#define DEFAULT_STACK_SIZE	256
#define DEFAULT_TICKS		5

extern TASK **_mtask_procs;
extern TASK *_mtask_task;
extern char *_mtask_sp;
extern int _mtask_arg;
extern void (*_mtask_func)();

extern void _mtask_null_task();
extern void _mtask_schedule();
