#include <int32.h>

void uint32_inc(INT32 *psrc)
	{
	asm(" xgdx\n"
		" ldd 2,x\n"
		" addd #1\n"
		" std 2,x\n"
		" bcc __r\n"
		" ldd 0,x\n"
		" addd #1\n"
		" std 0,x\n"
		"__r: ");
	}
	
void uint32_dec(INT32 *psrc)
	{
	asm(" xgdx\n"
		" ldd 2,x\n"
		" subd #1\n"
		" std 2,x\n"
		" bcc __rd\n"
		" ldd 0,x\n"
		" subd #1\n"
		" std 0,x\n"
		"__rd: ");
	}
INT32 int32_add(INT32 left, INT32 right)
	{
	INT32 r;

	_pint32_add(&r, &left, &right);
	return r;
	}

INT32 int32_sub(INT32 left, INT32 right)
	{
	INT32 r;

	_pint32_sub(&r, &left, &right);
	return r;
	}

INT32 int_to_int32(int i)
	{
	INT32 l;

	LO_WORD(l) = i;
	if (i < 0)
		HI_WORD(l) = 0xffff;
	else
		HI_WORD(l) = 0;
	return l;
	}

INT32 uint_to_int32(unsigned int i)
	{
	INT32 l;

	LO_WORD(l) = i;
	HI_WORD(l) = 0;
	return l;
	}

INT32 int32_add_int(INT32 left, int right)
	{
	return int32_add(left, int_to_int32(right));
	}
	
INT32 int32_sub_int(INT32 left, int right)
	{
	return int32_sub(left, int_to_int32(right));
	}
	
INT32 int32_add_uint(INT32 left, unsigned int right)
	{
	return int32_add(left, uint_to_int32(right));
	}
	
INT32 int32_sub_uint(INT32 left, unsigned int right)
	{
	return int32_sub(left, uint_to_int32(right));
	}
