#include <string.h>

void *memmove(void *s1, void *s2, size_t n)
	{
	unsigned char *cs1 = s1, *cs2 = s2;

	if (cs1 == cs2)
		return s1;
	if (cs2 < cs1)
		{
		cs1 += n;
		cs2 += n;
		while (n--)
			*--cs1 = *--cs2;
		}
	else
		memcpy(s1, s2, n);
	return s1;
	}
