/* write a byte to the eeprom location */
#define _EEPROM
#include <hc11.h>

/* internal eeprom cannot be written while running code out of int. eeprom.
 * This code must be run from RAM or EPROM
 */
void write_eeprom(unsigned char *addr, unsigned char c)
	{
	if (*addr == c)
		return;
	PPROG = EELAT;
	*addr = c;
	PPROG = EELAT|EEPGM;
	/* delay 10 msecs */
	asm(" ldy #2857");
	asm("xxL1: dey\nbne xxL1");
	PPROG = 0;
	}
